## ros-iron-moveit-common 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_common NONE)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "moveit_common-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/moveit_common
)

=== debian/changelog ===
ros-iron-moveit-common (2.8.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-common (2.7.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-common (2.7.3-1jammy) jammy; urgency=high

  * Replace check for the ROS_DISTRO env variable with a check for the rclcpp version (#2135 <https://github.com/ros-planning/moveit2/issues/2135>)
  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-common (2.7.2-1jammy) jammy; urgency=high

  * Switch from qos_event.hpp to event_handler.hpp (#2111 <https://github.com/ros-planning/moveit2/issues/2111>)
    * Switch from qos_event.hpp to event_handler.hpp
    * moveit_common: Add a cmake interface library to keep humble support on main
    * Include qos_event.hpp or event_handler.hpp depending on the ROS 2 version
    * Fix ament_lint_cmake
    * Fix clang-tidy
    * PRIVATE linking in some cases
    * Update moveit_common/cmake/moveit_package.cmake
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
    * Fix servo and cleanup excessive CMake variable usage
    * Cleanup & make compiling
    * Small variable naming and const cleanup
    * Restore OpenCV linking
    * Public/private linking fixup
    * Revert "Restore OpenCV linking"
    This reverts commit 57a9efa806e59223e35a1f7e998d7b52f930c263.
    ---------
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * enabled -wformat (#2065 <https://github.com/ros-planning/moveit2/issues/2065>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Heramb Modugula, Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-common (2.7.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-common (2.7.0-1jammy) jammy; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Add -Wunused-parameter (#1756 <https://github.com/ros-planning/moveit2/issues/1756>)
  * Add -Wunused-function (#1754 <https://github.com/ros-planning/moveit2/issues/1754>)
  * Contributors: Chris Thrasher, Christian Henkel

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-common (2.6.0-1jammy) jammy; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-common (2.5.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-common (2.5.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000

ros-iron-moveit-common (2.5.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 22:00:00 -0000

ros-iron-moveit-common (2.5.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 25 May 2022 22:00:00 -0000

ros-iron-moveit-common (2.4.0-1jammy) jammy; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/f3ac6070497da90da33551fc1dc3a68938340413
  * Contributors: Abishalini

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Jan 2022 23:00:00 -0000

ros-iron-moveit-common (2.3.2-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 28 Dec 2021 23:00:00 -0000

ros-iron-moveit-common (2.3.1-1jammy) jammy; urgency=high

  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * Add backward_ros to moveit_common (#794 <https://github.com/ros-planning/moveit2/issues/794>)
  * Contributors: Dave Coleman, Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Dec 2021 23:00:00 -0000

ros-iron-moveit-common (2.3.0-1jammy) jammy; urgency=high

  * Upgrade to C++17
  * Contributors: Henning Kayser, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 07 Oct 2021 22:00:00 -0000

ros-iron-moveit-common (2.2.1-1jammy) jammy; urgency=high

  * Set project VERSION in moveit_common, fix sonames (#532 <https://github.com/ros-planning/moveit2/issues/532>)
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 11 Jul 2021 22:00:00 -0000

ros-iron-moveit-common (2.2.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 29 Jun 2021 22:00:00 -0000

ros-iron-moveit-common (2.1.4-1jammy) jammy; urgency=high

  * Fix ament_cmake 'buildtool_depend' in moveit_common (#480 <https://github.com/ros-planning/moveit2/issues/480>)
  * Contributors: Henning Kayser

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 30 May 2021 22:00:00 -0000

ros-iron-moveit-common (2.1.3-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 21 May 2021 22:00:00 -0000

ros-iron-moveit-common (2.1.2-1jammy) jammy; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver



=== debian/control ===
Source: ros-iron-moveit-common
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-backward-ros, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-backward-ros, ros-iron-ros-workspace
Description: Common support functionality used throughout MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-common//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
